# X2SYS_CROSS

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
REMARKS
SIGN CONVENTION
PRECISION AND FORMAT
EXAMPLES
REFERENCES
SEE ALSO

## NAME

x2sys_cross − Find and compute crossover errors

## SYNOPSIS

x2sys_cross track(s) −T TAG [ −Il|a|c ] [ −J parameters ] [ −K combi.lis ] [ −L ] [ −Qe|i ] [ −Sl|u|h speed ] [ −V ] [ −W size ] [ −2 ] [ −bo[s|S|d|D[ncol]|c[var1/...]] ]

## DESCRIPTION

x2sys_cross is used to determine all intersections between ("external cross-overs") or within ("internal cross-overs") tracks (Cartesian or geographic), and report the time, position, distance along track, heading and speed along each track segment, and the crossover error (COE) and mean values for all observables. The names of the tracks are passed on the command line. By default, x2sys_cross will look for both external and internal COEs. As an option, you may choose to project all data using one of the map-projections prior to calculating the COE.

tracks

Can be one or more ASCII, native binary, or COARDS netCDF 1-D data files. To supply the data files via a text file with a list of tracks (one per record), specify the name of the track list after a leading equal-sign (e.g., =tracks.lis). If the names are missing their file extension we will append the suffix specified for this TAG. Track files will be searched for first in the current directory and second in all directories listed in $X2SYS_HOME/TAG/TAG_paths.txt (if it exists). [If $X2SYS_HOME is not set it will default to $GMT_SHAREDIR/x2sys]. (Note: MGD77 files will also be looked for via MGD77_HOME/mgd77_paths.txt and *.gmt files will be searched for via $GMT_SHAREDIR/mgg/gmtfile_paths).

| −T |  | Specify the x2sys TAG which tracks the attributes of this data type.

## OPTIONS

No space between the option flag and the associated arguments.

| −I |  | Sets the interpolation mode for estimating values at the crossover. Choose among:

l Linear interpolation [Default].
a Akima spline interpolation.
c Cubic spline interpolation.

−J

Selects the map projection. Scale is UNIT/degree, 1:xxxxx, or width in UNIT (upper case modifier). UNIT is cm, inch, or m, depending on the MEASURE_UNIT setting in .gmtdefaults4, but this can be overridden on the command line by appending c, i, or m to the scale/width value. When central meridian is optional, default is center of longitude range on −R option. Default standard parallel is the equator. For map height, max dimension, or min dimension, append h, +, or - to the width, respectively.

More details can be found in the psbasemap man pages.

CYLINDRICAL PROJECTIONS:

−Jc lon0/lat0/scale (Cassini)
−Jcyl_stere/[lon0/[lat0/]]scale (Cylindrical Stereographic)
−Jj[lon0/]scale (Miller)
−Jm[lon0/[lat0/]]scale (Mercator)
−Jm lon0/lat0/scale (Mercator - Give meridian and standard parallel)
−Jo[a]lon0/lat0/azimuth/scale (Oblique Mercator - point and azimuth)
−Jo[b]lon0/lat0/lon1/lat1/scale (Oblique Mercator - two points)
−Joc lon0/lat0/lonp/latp/scale (Oblique Mercator - point and pole)
−Jq[lon0/[lat0/]]scale (Cylindrical Equidistant)
−Jt lon0/[lat0/]scale (TM - Transverse Mercator)
−Ju zone/scale (UTM - Universal Transverse Mercator)
−Jy[lon0/[lat0/]]scale (Cylindrical Equal-Area)

CONIC PROJECTIONS:

−Jb lon0/lat0/lat1/lat2/scale (Albers)
−Jd lon0/lat0/lat1/lat2/scale (Conic Equidistant)
−Jl lon0/lat0/lat1/lat2/scale (Lambert Conic Conformal)
−Jpoly/[lon0/[lat0/]]scale ((American) Polyconic)

AZIMUTHAL PROJECTIONS:

−Ja lon0/lat0[/horizon]/scale (Lambert Azimuthal Equal-Area)
−Je lon0/lat0[/horizon]/scale (Azimuthal Equidistant)
−Jf lon0/lat0[/horizon]/scale (Gnomonic)
−Jg lon0/lat0[/horizon]/scale (Orthographic)
−Jg lon0/lat0/altitude/azimuth/tilt/twist/Width/Height/scale (General Perspective).
−Js lon0/lat0[/horizon]/scale (General Stereographic)

MISCELLANEOUS PROJECTIONS:

−Jh[lon0/]scale (Hammer)
−Ji[lon0/]scale (Sinusoidal)
−Jkf[lon0/]scale (Eckert IV)
−Jk[s][lon0/]scale (Eckert VI)
−Jn[lon0/]scale (Robinson)
−Jr[lon0/]scale (Winkel Tripel)
−Jv[lon0/]scale (Van der Grinten)
−Jw[lon0/]scale (Mollweide)

NON-GEOGRAPHICAL PROJECTIONS:

−Jp[a]scale[/origin][r|z] (Polar coordinates (theta,r))
−Jx x-scale[d|l|p pow|t|T][/y-scale[d|l|p pow|t|T]] (Linear, log, and power scaling)

| −K |  | Only process the pair-combinations found in the file combi.lis [Default process all possible combinations among the specified files].
| −L |  | Output results using the old XOVER format [Default is x2sys format]. This option should only be used with *.gmt-formatted MGD77 files. See the GMT mgg supplement for file description; see Wessel [1989] for details on the XOVER format.
| −Q |  | Append e for external COEs only, and i for internal COEs only [Default is all COEs].

−R

west, east, south, and north specify the Region of interest, and you may specify them in decimal degrees or in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r if lower left and upper right map coordinates are given instead of w/e/s/n. The two shorthands −Rg and −Rd stand for global domain (0/360 and -180/+180 in longitude respectively, with -90/+90 in latitude). Alternatively, specify the name of an existing grid file and the −R settings (and grid spacing, if applicable) are copied from the grid. For Cartesian data just give xmin/xmax/ymin/ymax. This option limits the COEs to those that fall inside the specified domain.

| −S |  | Defines window of track speeds. If speeds are outside this window we do not calculate a COE. Specify

−Sl sets lower speed [Default is 0].
−Su sets upper speed [Default is Infinity].
−Sh does not limit the speed but sets a lower speed below which headings will not be computed (i.e., set to NaN) [Default calculates headings regardless of speed].

| −V |  | Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].
| −W |  | Give the maximum number of data points on either side of the crossover to use in the spline interpolation [3].
| −2 |  | Report the values of each track at the crossover [Default reports the crossover value and the mean value].
| −bo |  | Selects binary output. Append s for single precision [Default is d (double)]. Uppercase S or D will force byte-swapping. Optionally, append ncol, the number of desired columns in your binary output file.

## REMARKS

The COEs found are printed out to standard output in ASCII format (unless −bo is set). When ASCII is chosen, the output format depends on whether or not old-style XOVER output (−L) has been selected [See the x_over man page for more details]. If ASCII, then the first record contains the name of the tag used, the second records specifies the exact command line used for this run, and the third record contains the names of each column. For each track pair, there will be a multisegment header record containing the two file names and their start/stop/dist information (start/stop is absolute time or NaN if unavailable while dist is the total track length), whereas subsequent records have the data for each COE encountered. The fields written out are x, y, time along track #1 and #2, distance along track #1 and #2, heading along track #1 and #2, velocity along track #1 and #2, and then pairs of columns for each selected observable. These are either pairs of (COE, average value) for each data type (or track-values #1 and #2; see −2). It is recommended that the Akima spline is used instead of the natural cubic spline, since it is less sensitive to outliers that tend to introduce wild oscillations in the interpolation.

## SIGN CONVENTION

If track_a and track_b are passed on the command line, then the COE value is Value (track_a) - Value (track_b).

## PRECISION AND FORMAT

The output format of individual columns are controlled by D_FORMAT except for geographic coordinates (OUTPUT_DEGREE_FORMAT) and absolute calendar time (OUTPUT_DATE_FORMAT, OUTPUT_CLOCK_FORMAT). Make sure these are set to give you enough significant digits to achieve the desired precision.

## EXAMPLES

To compute all internal crossovers in the gmt-formatted file c2104.gmt, and output in the old XOVER format, using the tag GMT, try

x2sys_cross c2104.gmt −L −T GMT > c2104.d

To find the crossover locations with bathymetry between the two MGD77 files A13232.mgd77 and A99938.mgd77, using the MGD77 tag, try

x2sys_cross A13232.mgd77 A99938.mgd77 −Qe −T MGD77 > crossovers.d

## REFERENCES

Wessel, P. (2010), Tools for analyzing intersecting tracks: the x2sys package. IT(Computers and Geosciences), BD(36), 348-354.
Wessel, P. (1989), XOVER: A cross-over error detector for track data, Computers and Geosciences, 15(3), 333-346.

## SEE ALSO

GMT(1), x2sys_binlist(1), x2sys_init(1), x2sys_datalist(1), x2sys_get(1), x2sys_list(1), x2sys_put(1), x2sys_report(1), x2sys_solve(1), x_over(1)